static stt_obj_t *sb_math_d2d(stt_varctx_t *ctx, stt_obj_t *parm, void *data, const int tail)
{
	stt_obj_t *obj;
	double (* FUNC) (double);
	if(!stt_nextarg(ctx, &obj, &parm))
		return stt_create_error(ctx->stt, STT_SE_PNUM, "Math function needs a parameter");
	if(obj->type == STT_ST_ERROR) return obj;
	if(obj->type != STT_ST_NUM)
		return stt_create_error(ctx->stt, STT_SE_TYPE, "Type mismatch");

	FUNC = stt_V2F(data);
	return stt_create_num(ctx->stt, FUNC(obj->d.num.value));
}

